const flipperzero = @import("flipperzero.zig");
const c = flipperzero.c;

pub const Storage = extern struct {
    const Self = @This();

    pub fn open() *Self {
        return @ptrCast(c.furi_record_open(c.RECORD_STORAGE));
    }

    pub fn close(self: *Self) void {
        _ = self;
        c.furi_record_close(c.RECORD_STORAGE);
    }
};